Text.Blaze.Internal

# Important types.

data ChoiceString

data StaticString

data MarkupM a

type Markup

data Tag

data Attribute

data AttributeValue

# Creating custom tags and attributes.

customParent

customLeaf

attribute

dataAttribute

customAttribute

# Converting values to Markup.

text

preEscapedText

lazyText

preEscapedLazyText

textBuilder

preEscapedTextBuilder

string

preEscapedString

unsafeByteString

unsafeLazyByteString

# Comments

textComment

lazyTextComment

stringComment

unsafeByteStringComment

unsafeLazyByteStringComment

# Converting values to tags.

textTag

stringTag

# Converting values to attribute values.

textValue

preEscapedTextValue

lazyTextValue

preEscapedLazyTextValue

textBuilderValue

preEscapedTextBuilderValue

stringValue

preEscapedStringValue

unsafeByteStringValue

unsafeLazyByteStringValue

# Setting attributes

class Attributable h

(!)

(!?)

# Modifying Markup elements

contents

external

# Querying Markup elements

null